svn commit: samba r8020 - in branches/SAMBA_4_0/source: build/m4 build/smb_build script/tests

metze at samba.org metze at samba.org
Thu Jun 30 17:05:03 GMT 2005


Author: metze
Date: 2005-06-30 17:05:02 +0000 (Thu, 30 Jun 2005)
New Revision: 8020

WebSVN: http://websvn.samba.org/cgi-bin/viewcvs.cgi?view=rev&root=samba&rev=8020

Log:
- add --with-selftest-prefix option that specify the prefix used in make test

- also we use ./prefix test as default and not `pwd`/prefix-test
  to workaround the path length limit for unix sockets
  ... char sun_path[108]; ...

metze
Modified:
   branches/SAMBA_4_0/source/build/m4/check_path.m4
   branches/SAMBA_4_0/source/build/smb_build/makefile.pm
   branches/SAMBA_4_0/source/script/tests/selftest.sh


Changeset:
Modified: branches/SAMBA_4_0/source/build/m4/check_path.m4
===================================================================
--- branches/SAMBA_4_0/source/build/m4/check_path.m4	2005-06-30 15:19:54 UTC (rev 8019)
+++ branches/SAMBA_4_0/source/build/m4/check_path.m4	2005-06-30 17:05:02 UTC (rev 8020)
@@ -130,6 +130,21 @@
 AC_SUBST(sbindir)
 AC_SUBST(swatdir)
 
+#################################################
+# set prefix for 'make test'
+selftest_prefix="./"
+AC_SUBST(selftest_prefix)
+AC_ARG_WITH(selftest-prefix,
+[  --with-selftest-prefix=DIR    The prefix where make test will be runned (\$selftest_prefix)],
+[ case "$withval" in
+  yes|no)
+    AC_MSG_WARN([--with-selftest-prefix called without argument - will use default])
+  ;;
+  * )
+    selftest_prefix="$withval"
+    ;;
+  esac])
+
 developer=no
 AC_ARG_ENABLE(developer, [  --enable-developer      Turn on developer warnings and debugging (default=no)],
     [if test x$enable_developer = xyes; then

Modified: branches/SAMBA_4_0/source/build/smb_build/makefile.pm
===================================================================
--- branches/SAMBA_4_0/source/build/smb_build/makefile.pm	2005-06-30 15:19:54 UTC (rev 8019)
+++ branches/SAMBA_4_0/source/build/smb_build/makefile.pm	2005-06-30 17:05:02 UTC (rev 8020)
@@ -148,10 +148,10 @@
 test: @DEFAULT_TEST_TARGET@
 
 test-swrap: all
-	./script/tests/selftest.sh `pwd`/prefix-test SOCKET_WRAPPER
+	./script/tests/selftest.sh @selftest_prefix@/prefix-test SOCKET_WRAPPER
 
 test-noswrap: all
-	./script/tests/selftest.sh `pwd`/prefix-test
+	./script/tests/selftest.sh @selftest_prefix@/prefix-test
 
 __EOD__
 }

Modified: branches/SAMBA_4_0/source/script/tests/selftest.sh
===================================================================
--- branches/SAMBA_4_0/source/script/tests/selftest.sh	2005-06-30 15:19:54 UTC (rev 8019)
+++ branches/SAMBA_4_0/source/script/tests/selftest.sh	2005-06-30 17:05:02 UTC (rev 8020)
@@ -17,13 +17,20 @@
 
 PREFIX=$1
 export PREFIX
-TMPDIR=$PREFIX/tmp
-LIBDIR=$PREFIX/lib
-PIDDIR=$PREFIX/pid
+mkdir -p $PREFIX || exit $?
+OLD_PWD=`pwd`
+cd $PREFIX || exit $?
+PREFIX_ABS=`pwd`
+export PREFIX_ABS
+cd $OLD_PWD
+
+TMPDIR=$PREFIX_ABS/tmp
+LIBDIR=$PREFIX_ABS/lib
+PIDDIR=$PREFIX_ABS/pid
 CONFFILE=$LIBDIR/smb.conf
-PRIVATEDIR=$PREFIX/private
-NCALRPCDIR=$PREFIX/ncalrpc
-LOCKDIR=$PREFIX/lockdir
+PRIVATEDIR=$PREFIX_ABS/private
+NCALRPCDIR=$PREFIX_ABS/ncalrpc
+LOCKDIR=$PREFIX_ABS/lockdir
 TLSDIR=$PRIVATEDIR/tls
 CONFIGURATION="--configfile=$CONFFILE"
 export CONFIGURATION



More information about the samba-cvs mailing list